#include <zombie_escape>
#include <ze_levels>
#include <ze_vip>

#define PLUGIN_NAME		"[ZE] INFECTIONS"
#define PLUGIN_VERSION	"0.1"
#define PLUGIN_AUTHOR	"Urban"

new g_iInfections[33], g_pCvarInfectionsNum, g_pCvarInfectionsXp

public plugin_natives()
	register_native("ze_get_infections", "native_infections", 1);

public plugin_init()
{
	register_plugin(PLUGIN_NAME, PLUGIN_VERSION, PLUGIN_AUTHOR);

	g_pCvarInfectionsNum = register_cvar("ze_infections_num", "3");
	g_pCvarInfectionsXp = register_cvar("ze_infections_exp", "1");

	RegisterHookChain(RG_CBasePlayer_Spawn, "ze_player_spawned", true);
}

public ze_player_spawned(id)
	g_iInfections[id] = 0;

public ze_user_infected(iVictim, iInfector)
{
	if(iInfector == 0)	return;
     
	g_iInfections[iInfector]++

	if(g_iInfections[iInfector] >= get_pcvar_num(g_pCvarInfectionsNum))
    {
        new szInfectionName[32];
        get_user_name(iInfector, szInfectionName, charsmax(szInfectionName));

        new iXP = (get_pcvar_num(g_pCvarInfectionsXp) * 2);

		if(ze_is_user_vip(iInfector))
		{
			iXP 
		}

        ze_set_user_xp(iInfector, get_pcvar_num(g_pCvarInfectionsXp + iXP) + ze_get_user_xp(iInfector));
        ze_colored_print(0, "!g+%d !yEscapes !t%s!y [!g%d !yinfections]", get_pcvar_num(g_pCvarInfectionsXp), szInfectionName, get_pcvar_num(g_pCvarInfectionsNum));
        g_iInfections[iInfector] = 0;
    }
}

public client_disconnected(id)
	g_iInfections[id] = 0;

public native_infections(id)
{
	return g_iInfections[id]
}
